#ifndef LQMEAS_UNITS_INFORMATION_H
#define LQMEAS_UNITS_INFORMATION_H

#include "lqmeas/units/UnitGroup.h"

namespace LQMeas {
    namespace Units {
        class Information : public UnitGroup {
        public:
            QString id() const override;
            QString displayName() const override;
            QList<const Unit *> units() const override;

            static const Information &group();

            static const Unit &bit(); /* биты */
        };
    }
}

#endif // LQMEAS_UNITS_INFORMATION_H
