#include <QApplication>
#include "MainWindow.h"
#ifdef Q_OS_WIN
    #include <QSettings>
#endif


int main(int argc, char *argv[]) {
#ifdef Q_OS_WIN
    /* на Windows используем ini-файлы, а не реестр (как по умолчанию) */
    QSettings::setDefaultFormat(QSettings::IniFormat);
#endif


    QApplication a(argc, argv);

    a.setOrganizationName("L Card");
    a.setApplicationName(PRJ_APP_TITLE);
    a.setOrganizationDomain("lcard.ru");
    a.setApplicationVersion(PRJ_VERION_STR);
    MainWindow w;

    w.show();
    w.reset();

    return a.exec();
}
