#include "StdConfigKeys.h"
#include <QLatin1String>

namespace LQMeas {
    const QLatin1String &StdConfigKeys::ID() {
        static const QLatin1String key {"ID"};
        return key;
    }

    const QLatin1String &StdConfigKeys::enabled() {
        static const QLatin1String key {"Enabled"};
        return key;
    }

    const QLatin1String &StdConfigKeys::type() {
        static const QLatin1String key {"Type"};
        return key;
    }

    const QLatin1String &StdConfigKeys::value() {
        static const QLatin1String key {"Value"};
        return key;
    }

    const QLatin1String &StdConfigKeys::serialNumber() {
        static const QLatin1String key {"Serial"};
        return key;
    }

    const QLatin1String &StdConfigKeys::version() {
        static const QLatin1String key {"Version"};
        return key;
    }

    const QLatin1String &StdConfigKeys::mcuVer() {
        static const QLatin1String key {"McuVer"};
        return key;
    }

    const QLatin1String &StdConfigKeys::mcuVerStr() {
        static const QLatin1String key {"McuVerStr"};
        return key;
    }

    const QLatin1String &StdConfigKeys::pldVer() {
        static const QLatin1String key {"PldVer"};
        return key;
    }

    const QLatin1String &StdConfigKeys::fpgaVer() {
        static const QLatin1String key {"FpgaVer"};
        return key;
    }

    const QLatin1String &StdConfigKeys::fpgaVerStr() {
        static const QLatin1String key {"FpgaVerStr"};
        return key;
    }

    const QLatin1String &StdConfigKeys::boardRev() {
        static const QLatin1String key {"BoardRev"};
        return key;
    }

    const QLatin1String &StdConfigKeys::ipcExtBwLF() {
        static const QLatin1String key {"ICPExtBwLF"};
        return key;
    }

    const QLatin1String &StdConfigKeys::dev() {
        static const QLatin1String key {"Dev"};
        return key;
    }

    const QLatin1String &StdConfigKeys::channel() {
        static const QLatin1String key {"Channel"};
        return key;
    }

    const QLatin1String &StdConfigKeys::mode() {
        static const QLatin1String key {"Mode"};
        return key;
    }

    const QLatin1String &StdConfigKeys::rangeNum() {
        static const QLatin1String key {"RangeNum"};
        return key;
    }

    const QLatin1String &StdConfigKeys::freq() {
        static const QLatin1String key {"Freq"};
        return key;
    }

    const QLatin1String &StdConfigKeys::acMode() {
        static const QLatin1String key {"AcMode"};
        return key;
    }

    const QLatin1String &StdConfigKeys::adcFreq() {
        static const QLatin1String key {"AdcFreq"};
        return key;
    }

    const QLatin1String &StdConfigKeys::adcFreqCode() {
        static const QLatin1String key {"AdcFreqCode"};
        return key;
    }

    const QLatin1String &StdConfigKeys::adcDataFmt() {
        static const QLatin1String key {"AdcDataFmt"};
        return key;
    }

    const QLatin1String &StdConfigKeys::iSrcValue() {
        static const QLatin1String key {"ISrcValue"};
        return key;
    }

    const QLatin1String &StdConfigKeys::phaseCorEn() {
        static const QLatin1String key {"PhaseCor"};
        return key;
    }

    const QLatin1String &StdConfigKeys::pullups() {
        static const QLatin1String key {"Pullups"};
        return key;
    }

    const QLatin1String &StdConfigKeys::outFreq() {
        static const QLatin1String key {"OutFreq"};
        return key;
    }

    const QLatin1String &StdConfigKeys::syncModeEn() {
        static const QLatin1String key {"SyncModeEn"};
        return key;
    }

    const QLatin1String &StdConfigKeys::syncMode() {
        static const QLatin1String key {"SyncMode"};
        return key;
    }

    const QLatin1String &StdConfigKeys::dacDataFmt() {
        static const QLatin1String key {"DacDataFmt"};
        return key;
    }

    const QLatin1String &StdConfigKeys::points() {
        static const QLatin1String key {"Points"};
        return key;
    }

    const QLatin1String &StdConfigKeys::steps() {
        static const QLatin1String key {"Steps"};
        return key;
    }

    const QLatin1String &StdConfigKeys::signal() {
        static const QLatin1String key {"Signal"};
        return key;
    }

    const QLatin1String &StdConfigKeys::timeMs() {
        static const QLatin1String key {"TimeMS"};
        return key;
    }

    const QLatin1String &StdConfigKeys::marks() {
        static const QLatin1String key {"Marks"};
        return key;
    }

    const QLatin1String &StdConfigKeys::markStart() {
        static const QLatin1String key {"Start"};
        return key;
    }

    const QLatin1String &StdConfigKeys::markSecond() {
        static const QLatin1String key {"Second"};
        return key;
    }

    const QLatin1String &StdConfigKeys::syncStartMode() {
        static const QLatin1String key {"SyncStartMode"};
        return key;
    }

    const QLatin1String &StdConfigKeys::syncConvMode() {
        static const QLatin1String key {"SyncConvMode"};
        return key;
    }

    const QLatin1String &StdConfigKeys::channels() {
        static const QLatin1String key {"Channels"};
        return key;
    }

    const QLatin1String &StdConfigKeys::dacChannels() {
        static const QLatin1String key {"DacChannels"};
        return key;
    }

    const QLatin1String &StdConfigKeys::doutChannels() {
        static const QLatin1String key {"DoutChannels"};
        return key;
    }

    const QLatin1String &StdConfigKeys::outputs() {
        static const QLatin1String key {"Outputs"};
        return key;
    }

    const QLatin1String &StdConfigKeys::dac() {
        static const QLatin1String key {"DAC"};
        return key;
    }

    const QLatin1String &StdConfigKeys::dout() {
        static const QLatin1String key {"DOUT"};
        return key;
    }

    const QLatin1String &StdConfigKeys::ipv4Addr() {
        static const QLatin1String key {"IPv4Addr"};
        return key;
    }

    const QLatin1String &LQMeas::StdConfigKeys::conTout() {
        static const QLatin1String key {"ConTout"};
        return key;
    }

}
